<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup Label="Globals">
    <SccProjectName>SAK</SccProjectName>
    <SccProvider>SAK</SccProvider>
    <SccAuxPath>SAK</SccAuxPath>
    <SccLocalPath>SAK</SccLocalPath>
  </PropertyGroup>
  <PropertyGroup>
    <OutputType>Library</OutputType>
    <RootNamespace>C4IT.DataHistoryProvider.Base</RootNamespace>
    <Configurations>Debug;Debug-Demo;Release;Release-Demo</Configurations>
    <Deterministic>false</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;VITALSIGN_MONITORING</DefineConstants>
    <NoWarn>MSB3305</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <NoWarn>MSB3305</NoWarn>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>C4IT_2016.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release-Demo|AnyCPU'">
    <OutputPath>bin\Release-Demo\</OutputPath>
    <DefineConstants>TRACE;DEMOLICENSE</DefineConstants>
    <Optimize>true</Optimize>
    <NoWarn>MSB3305</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug-Demo|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\Debug-Demo\</OutputPath>
    <DefineConstants>TRACE;DEBUG;DEMOLICENSE</DefineConstants>
    <NoWarn>MSB3305</NoWarn>
  </PropertyGroup>
  <PropertyGroup>
    <TargetFrameworks>netstandard2.0;net472</TargetFrameworks>
    <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    <AssemblyTitle>F4SD Cockpit Server base library</AssemblyTitle>
  </PropertyGroup>
  <ItemGroup Condition="'$(TargetFramework)' == 'net472'">
    <Reference Include="System.Web" />
  </ItemGroup>
	<ItemGroup>
		<Reference Include="Microsoft.Web.Administration, Version=7.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
			<SpecificVersion>False</SpecificVersion>
			<HintPath>.\Microsoft.Web.Administration.dll</HintPath>
		</Reference>
	</ItemGroup>
  <ItemGroup>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.Base.Ticket.cs" Link="Common\C4IT.F4SD.Base.Ticket.cs" />
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.GlobalConfig.cs">
      <Link>Common\C4IT.F4SD.GlobalConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.HealthCardConfig.cs">
      <Link>Common\C4IT.F4SD.HealthCardConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.F4SD.MenuItem.cs">
      <Link>Common\C4IT.F4SD.MenuItem.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Base.cs">
      <Link>Common\C4IT.FASD.Base.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Communication.Agent.cs">
      <Link>Common\C4IT.FASD.Communication.Agent.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.ConfigBase.cs">
      <Link>Common\C4IT.FASD.ConfigBase.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.CopyTemplatesConfig.cs">
      <Link>Common\C4IT.FASD.CopyTemplatesConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.IconConfig.cs">
      <Link>Common\C4IT.FASD.IconConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.MenuSectionConfig.cs">
      <Link>Common\C4IT.FASD.MenuSectionConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.QuickActionConfig.cs">
      <Link>Common\C4IT.FASD.QuickActionConfig.cs</Link>
    </Compile>
    <Compile Include="..\..\C4IT FASD\_Common\C4IT.FASD.Security.cs">
      <Link>Common\C4IT.FASD.Security.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Configuration\C4IT.Configuration.ConfigHelper.cs">
      <Link>Common\C4IT.Configuration.ConfigHelper.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\FileImport\C4IT.FileImport.CsvFile.cs">
      <Link>Common\C4IT.FileImport.CsvFile.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Http\C4IT.HTTP.HttpApiBase.cs">
      <Link>Common\C4IT.HTTP.HttpApiBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Http\C4IT.HttpHelper.cs">
      <Link>Common\C4IT.HttpHelper.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Licensing\C4IT.Licensing.LicenseBase.cs">
      <Link>Common\C4IT.Licensing.LicenseBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogManager.cs">
      <Link>Common\C4IT.Logging.LogManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogNetwork.cs">
      <Link>Common\C4IT.Logging.LogNetwork.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Logging\C4IT.Logging.LogPerformance.cs">
      <Link>Common\C4IT.Logging.LogPerformance.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\MsCloud\C4IT.MsGraph.Base.cs">
      <Link>Common\C4IT.MsGraph.Base.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\MultiLanguage\C4IT.MultiLanguage.MultiLanguageSupport.cs">
      <Link>Common\C4IT.MultiLanguage.MultiLanguageSupport.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.Base32.cs">
      <Link>Common\C4IT.Security.Base32.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.Credential.cs">
      <Link>Common\C4IT.Security.Credential.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\Security\C4IT.Security.SecurePassword.cs">
      <Link>Common\C4IT.Security.SecurePassword.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\XML\C4IT.XML.ConfigParsing.cs">
      <Link>Common\C4IT.XML.ConfigParsing.cs</Link>
    </Compile>
    <Compile Include="..\..\Common Code\XML\C4IT.XML.Credentials.cs">
      <Link>Common\C4IT.XML.Credentials.cs</Link>
    </Compile>
    <Compile Include="..\..\Matrix42\M42CommonCode\M42WebClient\C4IT.Matrix42.WebClient.cs">
      <Link>Common\C4IT.Matrix42.WebClient.cs</Link>
    </Compile>
    <Compile Include="..\..\NexThink\NxCommonCode\NXQL\C4IT.Nexthink.NXQL.cs">
      <Link>Common\C4IT.Nexthink.NXQL.cs</Link>
    </Compile>
    <Compile Include="..\..\NexThink\NxCommonCode\NXQL\C4IT.Nexthink.NxqlOrchestration.cs">
      <Link>Common\C4IT.Nexthink.NxqlOrchestration.cs</Link>
    </Compile>
    <Compile Include="..\CommonAssemblyAttributes.cs">
      <Link>Common\CommonAssemblyAttributes.cs</Link>
    </Compile>
    <Compile Include="..\CommonAssemblyInfo.cs">
      <Link>Properties\CommonAssemblyInfo.cs</Link>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Include="C4IT_2016.ico" />
    <Content Include="Microsoft.Web.Administration.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <COMReference Include="ActiveDs">
      <Guid>{97D25DB0-0363-11CF-ABC4-02608C9E7553}</Guid>
      <VersionMajor>1</VersionMajor>
      <VersionMinor>0</VersionMinor>
      <Lcid>0</Lcid>
      <WrapperTool>tlbimp</WrapperTool>
      <Isolated>False</Isolated>
      <EmbedInteropTypes>True</EmbedInteropTypes>
    </COMReference>
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="C4IT.F4SD.DisplayFormatting" Version="1.0.0" />
    <PackageReference Include="C4IT.F4SD.SupportCaseProtocoll" Version="1.0.0" />
    <PackageReference Include="MaterialIcons" Version="1.0.3" NoWarn="NU1701" />
    <PackageReference Include="Microsoft.Bcl.TimeProvider" Version="10.0.2" />
    <PackageReference Include="Microsoft.Data.SqlClient" Version="6.1.4" />
    <PackageReference Include="Microsoft.Win32.Registry" Version="5.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.4" />
    <PackageReference Include="System.DirectoryServices" Version="10.0.2" />
    <PackageReference Include="System.DirectoryServices.AccountManagement" Version="10.0.2" />
    <PackageReference Include="System.DirectoryServices.Protocols" Version="10.0.2" />
    <PackageReference Include="System.Drawing.Common" Version="10.0.2" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.15.0" />
    <PackageReference Include="System.IO.Pipelines" Version="10.0.2" />
    <PackageReference Include="System.Runtime.CompilerServices.Unsafe" Version="6.1.2" />
    <PackageReference Include="System.Security.Permissions" Version="10.0.2" />
    <PackageReference Include="System.Configuration.ConfigurationManager" Version="10.0.2" />
    <PackageReference Include="System.Text.Encodings.Web" Version="10.0.2" />
    <PackageReference Include="System.Text.Json" Version="10.0.2" />
    <PackageReference Include="System.ValueTuple" Version="4.6.1" />
  </ItemGroup>
  <Target Name="AfterBuild" AfterTargets="Build">
    <PropertyGroup>
      <FrameworkDirectory>net472/</FrameworkDirectory>
    </PropertyGroup>
    <Message Text="Start to publish component" Importance="high" />
    <Copy SourceFiles="$(ProjectDir)$(OutputPath)$(FrameworkDirectory)$(AssemblyName).dll" DestinationFolder="$(ProjectDir)Publish$(TargetFramework)" />
  </Target>
</Project>